<p align="center">
    <img src="assets/nervous-logo.png" align="center" width="50%">
</p>
<p align="center">
    <h1 align="center">Nervous Analytics</h1>
</p>

<p align="center">
  <a href="https://badge.fury.io/py/nervous-analytics"><img src="https://badge.fury.io/py/nervous-analytics.svg" alt="PyPI version" height="18"></a>
  <a href="https://pypi.org/project/nervous-analytics/"><img src="https://img.shields.io/pypi/pyversions/nervous-analytics.svg" alt="Python Versions" height="18"></a>
  <a href="https://github.com/sensors-inl/Nervous-Analytics/actions"><img src="https://github.com/sensors-inl/Nervous-Analytics/workflows/CI/badge.svg" alt="Build Status" height="18"></a>
  <!-- a href="https://nervous-sensors.readthedocs.io/en/latest/?badge=latest"><img src="https://readthedocs.org/projects/nervous-sensors/badge/?version=latest" alt="Documentation Status" height="18"></a -->
  <!-- a href="https://pypi.org/project/nervous-sensors/"><img src="https://img.shields.io/pypi/dm/nervous-sensors.svg" alt="Downloads" height="18"></a -->
  <a href="https://opensource.org/licenses/MIT"><img src="https://img.shields.io/badge/License-MIT-yellow.svg" alt="License: MIT" height="18"></a>
</p>

## Table of Contents

- [Table of Contents](#table-of-contents)
- [Project Overview](#project-overview)
- [Prerequisites](#prerequisites)
- [Installation](#installation)
  - [Example Command](#example-command)
- [Contributing](#contributing)
- [License](#license)
- [Acknowledgments](#acknowledgments)
- [Contact](#contact)

---

## Project Overview

Nervous Analytics is a comprehensive Python toolbox for physiological signals processing, such as electrocardiogram (ECG) or electrodermal activity (EDA).
It is intended to be used for real-time processing of signals as well as
off-line analysis.

---

## Prerequisites

- Python 3.11, 3.12 or 3.13

---

## Installation

```bash
pip install nervous-analytics
```

### Example Command

```bash
# Launch the GUI for offline analysis of ECG signal
nervous_ecg_analyzer

# Launch the GUI for offline analysis of EDA signal
nervous_eda_analyzer
```

---

## Contributing

Contributions are what make the open-source community such a great place to learn, inspire, and create. Any contributions you make are greatly appreciated. You can open an issue to report a bug, request a feature, or submit a pull request.

---

## License

This project, along with the entire Nervous initiative, is licensed under the [MIT License](https://opensource.org/licenses/MIT). For more details, see the [License](LICENSE.md) file.

---

## Acknowledgments

The main contributors to this project are Bertrand Massot, Matthieu Mesnage and Tristan Habémont from INSA Lyon, CNRS, INL UMR 5270, Villeurbanne, France.

This work was supported by the **French National Research Agency (ANR)** under grant **ANR-22-CE31-0023-03 RENFORCE**.

---

## Contact

[bertrand.massot@insa-lyon.fr](mailto:bertrand.massot@insa-lyon.fr)

---
